Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519051 - grub2-starfield-theme disappeared F26->F27, please restore it?
Summary: grub2-starfield-theme disappeared F26->F27, please restore it?
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 01:26 UTC by Neal Gompa
Modified: 2018-11-30 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:33:10 UTC


Attachments (Terms of Use)

Description Neal Gompa 2017-11-30 01:26:47 UTC
Description of problem:
When upgrading from Fedora 26 to Fedora 27, my grub2-starfield-theme package didn't have an upgrade candidate. It appears that it disappeared in Fedora 27 with no explanation?

I looked through the Git history and the RPM changelog and couldn't find a reason for it.

If it was accidentally dropped, could it be re-added as an update, please?

Version-Release number of selected component (if applicable):
2.02-19.fc27

Comment 1 Neal Gompa 2018-02-12 16:51:23 UTC
See: https://src.fedoraproject.org/rpms/grub2/pull-request/2

Comment 2 Peter Jones 2018-02-15 20:30:45 UTC
It wasn't accidentally dropped - it's basically a bug oracle, and we'd only intended to ever ship it as an example anyway.  So we decided we didn't want to ship it if we could help it.

AFAICS right now you should just keep the old package if it was installed, and it should work as well as it did?

Comment 3 Mohammed Arafa 2018-03-16 12:59:28 UTC
this is the _only_ shipped grub2 theme.

i was going to open a bug report to have this installed and configured at fedora install time coz its an integral part of making the distribution GUI only as opposed to appearing klunky with some parts ancient text look and some parts wonderful GUI in colour. but this package isnt available

Comment 4 Ali Akcaagac 2018-05-12 21:43:18 UTC
I would like to have system and starfield back too. Feeling sad that the packages got dropped.

Comment 5 Mohammed Arafa 2018-06-17 07:28:50 UTC
@peter

i would like to point you to https://github.com/rhboot/grub2/tree/e54c99aaff5e5f6f5d3b06028506c57e66d8ef77/themes/starfield which i says "This shall be the default theme for the GRUB2" 

if you are unable to continue maintaining this package, how about attaching the src.rpm to this bugzilla report?
i did try to search for it but it kept pointing me to the grub2 src.rpm (not to mention the latest rpm for this package compiled early this year
Wed Jan 17 2018 Peter Jones <pjones@redhat.com> - 2.02-0.43

thank you

Comment 6 Mohammed Arafa 2018-06-17 07:34:40 UTC
oh wow! look at this: https://src.fedoraproject.org/fork/ngompa/rpms/grub2/c/3a17eb2a60e756e3acb93cac0f0ac6679c66fb50

@ngompa Neal Gompa <ngompa13@gmail.com> since you are also reading this bz. the description part where it says "This subpackage 25 + provides an example theme for the grub screen." is incorrect, see my previous comment where it says this is the _default_ theme for GRUB2

oh and thank you very much for adding it back in.

Ps. when will the fc28 version become available?

Comment 7 Ben Cotton 2018-11-27 15:10:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Mohammed Arafa 2018-11-28 00:03:30 UTC
this is still valid for fedora 29 however i do not see the drop down for the versions.

Comment 9 Ben Cotton 2018-11-30 17:33:10 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.